/*
 * @Description:
 * @Author: zhuoda
 * @Date: 2021-11-05
 * @LastEditTime: 2024-06-27 16:17:23
 * @LastEditors: devloper WuJun
 */
import { postRequest, getRequest, getDownload } from '../../lib/axios.js';

export const routeSettingApi = {
  // 列表查询头部统计
  queryPageSts: (param) => {
    return postRequest('/nRoutes/queryPageSts', param);
  },
  // 工作面列表
  query: (param) => {
    return postRequest('/nRoutes/query', param);
  },
  // 更新工作面状态
  updateStatus: (param) => {
    return postRequest('/nRoutes/updateStatus', param);
  },
  // 新增工作面
  add: (param) => {
    return postRequest('/nRoutes/add', param);
  },
  // 编辑工作面
  update: (param) => {
    return postRequest('/nRoutes/update', param);
  },
  // 删除工作面
  del: (param) => {
    return postRequest(`/nRoutes/delete/${param.id}`);
  },
  // 工作面详情
  getRoutesById: (param) => {
    return getRequest(`/nRoutes/getRoutesById/${param.id}`);
  },
  // 查出所有矿料处理场地
  nMineralProcessingSiteGetAll: (param) => {
    return postRequest('/nRoutes/getAll', param);
  },
};
